Show / Hide Table of Contents

# Class PluginDefinition

##### Inheritance

System.Object
PluginDefinition

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class PluginDefinition

### Properties

| Improve this Doc View Source

#### ApplicableVersion

The version of the game this plugin works with.

##### Declaration

    public string ApplicableVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### AssemblyVersion

The current assembly version of the plugin.

##### Declaration

    public string AssemblyVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Author

The author/s of the plugin.

##### Declaration

    public string Author { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DalamudApiLevel

The API level of this plugin. For the current API level, please see Dalamud.Plugin.PluginManager.DALAMUD_API_LEVEL for the currently used API level.

##### Declaration

    public int DalamudApiLevel { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Description

A description of the plugins functions.

##### Declaration

    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DownloadCount

The number of downloads this plugin has.

##### Declaration

    public long DownloadCount { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### InternalName

The internal name of the plugin, which should match the assembly name of the plugin.

##### Declaration

    public string InternalName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### IsHide

Whether or not the plugin is hidden in the plugin installer.

##### Declaration

    public bool IsHide { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### IsTestingExclusive

Defines if the plugin is only available for testing.

##### Declaration

    public bool IsTestingExclusive { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LastUpdate

The last time this plugin was updated.

##### Declaration

    public long LastUpdate { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int64 |

| Improve this Doc View Source

#### Name

The public name of the plugin.

##### Declaration

    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RepoUrl

An URL to the website or source code of the plugin.

##### Declaration

    public string RepoUrl { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Tags

List of tags defined on the plugin.

##### Declaration

    public List<string> Tags { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

| Improve this Doc View Source

#### TestingAssemblyVersion

The current testing assembly version of the plugin.

##### Declaration

    public string TestingAssemblyVersion { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |